PIX-PNG
1
BRL-CAD
BRL-CAD

# pix-png

convert a BRL-CAD PIX format image to a PNG format image

      pix-png
        -a
        -ggamma
        -ssquaresize
        -wfile_width
        -nfile_height
        -oPNG_file
        PIX_file
        >PNG_file

## DESCRIPTION

`pix-png` converts a BRL PIX(5) format file to a PNG (Portable Network Graphics) format file on the standard output. The PNG file created will be an RGB file with a bit-depth of 8 and a file gamma of 1.0.

PIX image files do not contain information about their size. The size of the input PIX image file must be specified if the dimensions are not the default 512x512 size.

## OPTIONS

`-a`

  autosize the input file to determine file image height and width

`-g gamma`

  sets the specified gamma correction value into the created PNG file. A value of 0.6 is a close approximation of PC display monitors. A negative gamma value disables writing a gAMA chunk out entirely (and is the default).

`-s squaresize`

  sets both the width and the height for the input to be squaresize

`-w file_width`

  tells `pix-png` that the input is file_width pixels wide

`-n file_height`

  tells `pix-png` that the input is file_height scanlines tall

`-o PNG_file`

  tells `pix-png` to write image data to the specified PNG_file output file. The `pix-png` command will not write out binary image data directly to a terminal device as a safeguard.

## SEE ALSO

brlcad 1, png-pix 1, pix-fb 1, pix 5.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1998-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.